<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>edit user</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
          crossorigin="anonymous">
    <style>
        body {
            background-color: #f8f9fa;
        }

        .container {
            margin-top: 50px;
        }

        .card {
            border-radius: 15px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            background-color: #fff;
        }

        .card-body {
            padding: 30px;
        }

        .form-group label {
            font-weight: bold;
        }

        .btn-primary {
            background-color: #007bff;
            border-color: #007bff;
        }

        .btn-primary:hover {
            background-color: #0056b3;
            border-color: #0056b3;
        }
    </style>
</head>
<body>
<!-- Navigation bar (header) -->
<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                    data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#" th:href="@{/user-page}">User Page</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a th:href="@{/logout}">Logout</a></li>
            </ul>
        </div>
    </div>
</nav>

<br>
<br>
<br>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-lg-6 col-md-6 col-sm-8">
            <div class="card">
                <h1 class="card-header text-center">Update User</h1>
                <div class="card-body">
                    <form th:action="@{/user-page/{id} (id=${user.id})}" th:object="${user}" method="POST">
                        <div class="form-group">
                            <label>FullName</label>
                            <input type="text" name="fullname" th:field="*{fullname}" class="form-control"
                                   placeholder="Enter user FullName"/>
                        </div>

                        <div class="form-group">
                            <label>Email</label>
                            <input type="text" name="email" th:field="*{email}" class="form-control"
                                   placeholder="Enter User Email"/>
                        </div>

                        <div class="form-group">
                            <label>Password</label>
                            <input type="text" name="password" th:field="*{password}" class="form-control"
                                   placeholder="Enter User Password"/>
                        </div>

                        <div class="form-group text-center">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
        integrity="sha384-KyZXEAg3QhqLMpG8r+Knujsl5/CGAGGp4it+VoX+O4taDHM8cRtXx4yJ8Ck6BvoB"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>

</body>
</html>